mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Policy.IConstantMembershipCondition System.Security.Policy.IMembershipCondition System.Runtime.InteropServices.ComVisible(true)

A code assembly satisfies a publisher membership condition if that code is signed by the specified software publisher.

By default, code access security (CAS) does not check for evidence. Unless your computer has a custom code group based on the class, you can improve performance by bypassing Authenticode signature verification. This is accomplished by configuring the runtime to not provide evidence for CAS. For more information about how to configure this option and which applications can use it, see the <generatePublisherEvidence> element.

Determines whether an assembly belongs to a code group by testing its software publisher's Authenticode X.509v3 certificate. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Code satisfies the membership condition if it is signed by the software publisher with the private key that corresponds to the specified public key certificate.

  Initializes a new instance of the class with the Authenticode X.509v3 certificate that determines membership.

  An that contains the software publisher's public key.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate To be added. To be added.

  Gets or sets the Authenticode X.509v3 certificate for which the membership condition tests.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This membership condition tests only evidence.

  Determines whether the specified evidence satisfies the membership condition.

  true if the specified evidence satisfies the membership condition; otherwise, false.

  The against which to make the test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.IMembershipCondition To be added

  Creates an equivalent copy of the membership condition.

  A new, identical copy of the current membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  If the two publisher certificates are equal, they represent the same .

  Determines whether the publisher certificate from the specified object is equivalent to the publisher certificate contained in the current .

  true if the publisher certificate from the specified object is equivalent to the publisher certificate contained in the current ; otherwise, false.

  The object to compare to the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object. The context, used to resolve references.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code for the current membership condition.

  The hash code for the current membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Creates and returns a string representation of the .

  A representation of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement `` To be added

  Creates an XML encoding of the security object and its current state with the specified .

  An XML encoding of the security object, including any state information.

  The context, which is used to resolve references.